@import "common.css?v=2";

.card-bg-02 {

    background-image: url('../images/card-bg-02.jpg');
    background-position: center;

}

.card-bg-03 {

    background-image: url('../images/card-bg-03.jpg');
    background-position: 96%;

}

.card-bg-04 {

    background-image: url('../images/card-bg-04.jpg');
    background-position: center;

}

.card-bg-05 {

    background-image: url('../images/card-bg-05.jpg');
    background-position: center;

}

.card-bg-06 {

    background-image: url('../images/card-bg-06.jpg');
    background-position: center;

}

@media (max-width: 1554px) {

    .section {

        align-items: center;

    }

}

/* form formatting */

#contactForm {
    max-width: 900px;
}

.form-col {
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: stretch;
    gap: 1rem;
    min-height: calc(21.52rem + 10px);
    flex-basis: 380px;
    margin-bottom: 1rem;
}

#servicesWrapper {
    border: 1px solid #ced4da;
    border-radius: 0.375rem;
    padding: .375rem .75rem;
}

.additionalCommentsWrapper {

    position: relative;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    gap: .25rem;

}

.additionalCommentsWrapper textarea {

    flex-grow: 1;

}

.additionalCommentsWrapper small {

    position: absolute;
    bottom: 0.375rem;
    right: 0.375rem;

}

.form-control.is-valid, .was-validated .form-control:valid {

    border-color: #ced4da;
    background-image: none;

}

.form-control:focus, .form-select:focus, .form-control.is-valid:focus, .was-validated .form-control:valid:focus,
.form-select.is-valid, .was-validated .form-select:valid,  .form-select.is-valid:focus, .was-validated .form-select:valid:focus {

    border-color: rgba(246,130,31, 0.5);
    box-shadow: 0 0 0 0.25rem rgb(246 130 31 / 25%);

}

.form-select.is-valid:not([multiple]):not([size]), .form-select.is-valid:not([multiple])[size="1"], .was-validated .form-select:valid:not([multiple]):not([size]), .was-validated .form-select:valid:not([multiple])[size="1"] {

    padding-right: 2.25rem;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
    background-position: right .75rem center;
    background-size: 16px 12px;

}

.form-floating > label {

    transition: opacity .1s ease-in-out, transform .1s ease-in-out, color .1s ease-in-out;

}

.form-floating > .form-control:focus~label, .form-floating > .form-select:focus~label, .form-focused > label {

    color: rgb(246, 130, 31);

}

.form-check-input.is-valid, .was-validated .form-check-input:valid {

    border-color: rgba(0,0,0,.25);

}

.form-check-input.is-valid~.form-check-label, .was-validated .form-check-input:valid~.form-check-label {

    color: rgb(19,51,92)

}

.form-check-input:checked, .form-check-input.is-valid:checked, .was-validated .form-check-input:valid:checked {
    background-color: rgb(246, 130, 31);
    border-color: rgb(246, 130, 31);
}

.form-check-input:focus, .form-check-input.is-valid:focus, .was-validated .form-check-input:valid:focus {
    border-color: #d86f13;
    box-shadow: 0 0 0 0.25rem rgba(216, 111, 19, 0.25)
}

button.btn-primary {

    --bs-btn-bg: #f6821f;
    --bs-btn-border-color: #f6821f;

    --bs-btn-hover-bg: #d86f13;
    --bs-btn-hover-border-color: #d86f13;
    --bs-btn-focus-shadow-rgb: 246 131 30;

    --bs-btn-active-bg: #f6821f;
    --bs-btn-active-border-color: #f6821f;

}

button.btn-primary:disabled, button.btn-primary.disabled {

    color: #fff;
    pointer-events: none;
    background-color: #f6821f;
    border-color: #f6821f;

}

#contactForm button {

    width: 100%;
    height: 3rem;

}

/* TODO move the classes below into thank you page */
.confirmation-box {

    position: relative;
    max-width: calc(900px - 6rem);
    height: calc(505px - 6rem);
    margin: 0 auto;
    color: rgb(19,51,92);
    padding: 4rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: .5rem;

}

.confirmation-header {

    display: flex;
    flex-direction: row;
    justify-content: start;
    align-items: center;
    gap: .5rem;
    color: #f6821f;

}

.confirmation-header .material-symbols-outlined {
    font-size: 36px;
}

.confirmation-header h4 {
    margin: 0;
}

.confirmation-body {
    color: rgb(19,51,92);
    font-size: 1.1rem;
}

.card-horizontal {

    min-width: auto !important;
    width: auto !important;
    
}

.back-btn {

    color: var(--ny-navy);
    align-self: start;
    margin-top: 1rem;

}